POST
Transfer Single Query
Query a single transfer by merchant request ID or Onerway payout ID.
Request
merchantNoMerchant number assigned by Onerway. Retrieve it from the merchant portal or onboarding material after your sandbox or production account is created.
Example:
801129requestIdCondition: Required when
Merchant request ID used to look up a single transfer.payoutId is not provided.payoutIdCondition: Required when
Onerway payout ID used to look up a single transfer.requestId is not provided.signRequest signature string. Generate it according to the Transfer request-signing rules with your merchant private key.
curl -X POST 'https://sandbox-api.onerway.com/payout/api/v1/txn/query' \
-H 'Content-Type: application/json' \
--data-raw '{
"merchantNo": "800225",
"payoutId": "1808783413957234688",
"requestId": "REQ20240101123456789012345678901",
"sign": "{{SIGN}}"
}'Response
respCodeResponse code returned by Onerway.
respMsgResponse message returned by Onerway.
data{ requestId, payoutId, ... }Single transfer detail result.
{
"respCode": "20000",
"respMsg": null,
"data": {
"requestId": "DM20250888804123",
"payoutId": "1954374604177408000",
"payoutStatus": "P",
"paymentMethod": "BANK_TRANSFER",
"payerId": "1953712585351499776"
}
}No error responses are documented for this endpoint.